**`Jaya Charan `[NAME]**-NL- E-Mail:**`jayacharan75@gmail.com`[EMAILS_EMAIL]** -NL- Java/Mule ESB -NL- Mobile No:+918971782609 -NL- **`Career Objective`[SUMMARY_HEADING]** -NL- To obtain a challenging position at a professionally managed group, which will utilize my technical and -NL- challenging skills, dynamic and innovative role on repeated organization, I would like to be an asset to -NL- the company. Where I can contribute my talent and grow along with the organization. -NL- **`Experience Summary :`[SUMMARY_HEADING]** -NL-  7+ years of experience in all phases of Software Development Life Cycle (SDLC) and -NL- development of Web - based Client-Server applications. -NL-  4+ years of experience in Enterprise Service Bus (ESB) projects using Mulesoft. -NL-  Mulesoft Certified Developer - Integration and API Associate. -NL-  Experience in Mule Administration, Configuration, & Tuning with Mulesoft -NL- Management Console (MMC) & Enterprise release capabilities. -NL-  Extensively worked on Anypoint Studio, Mule Integration Platform and used it to -NL- interface application services by utilizing message routing, data transformation and -NL- service creation utilities. -NL-  Extensive hands on experience in consuming as well as developing API's for SOAP -NL- and REST based Web services to integrate third party functional modules into the -NL- core application. -NL-  Expertise in using Mule Soft studio in creating various flows to integrate API's, -NL- Databases and SaaS applications. -NL-  Participated in deployment of Mule ESB applications using Cloud Hub and Strong -NL- experience using Mule ESB in integrating various third party solutions. -NL-  Hands on experience in Mule Expression Language (MEL) to access payload data, -NL- properties and variables of Mule Message Flow. -NL-  Extensively worked on both Enterprise and Community editions of MULE ESB. Have -NL- an experience working on MULE API manager and RAML. -NL-  Designed and developed Mule ESB projects using various connectors like Salesforce, -NL- File, Database, JMS, SMTP, Transformers, and Data weave for integrating various -NL- applications which are on-premises and hosted on cloud using synchronous and -NL- asynchronous Muleflows. -NL-  Developed Mule flows to integrate Data from various sources into Database from -NL- Active MQ topics and queues and some transformations at the integration layer. -NL-  Experience in designing and developing Integration/Messaging solutions, EAI, BPM, -NL- B2B, EDI solutions using MuleSoft, iWay Integration tools. -NL-  Integrated Salesforce and other external applications using Force.com SOAP API. -NL-  Involved in unit testing and writing MUnit Test cases for the muleflows. -NL-  Experience in Jenkins, ANT and Maven build tools for building and deploying -NL- applications on web/App servers and good experience with Log4j for logging and -NL- debugging application. -NL-  Experienceof apache load balancing,Mule node cluster through MMC, ActiveMQ -NL- clustering. -NL-  Vast experience in Requirements gathering, Test Planning, Test Strategy and Test -NL- management. Preparation and execution of high level test scenarios and test cases. -NL-  Experience on different types of tests viz. manual testing including Functional, user -NL- Interface, Black Box, Integration, System, Security and Regression testing and UAT. -NL-  Highly motivated and energetic self-starter with good analytical, organizational -NL- Creative and interpersonal skills. -NL- **`Experience Profile :`[WORK_EXPERIENCE_HEADING]** -NL-  Currently Working as **`Senior Software Engineer`[EMPLOYER_ROLE]** at **`HCL Technologies`[EMPLOYER_COMPANY_NAME]**– -NL- Bangalore from Apr2016to Till Date. -NL-  Worked as **`Software Engineer`[EMPLOYER_ROLE]** at **`UST Global Technologies`[EMPLOYER_COMPANY_NAME]**-Bangalore -NL- Feb 2014 to Mar 2016 -NL-  Worked as **`Software Engineer`[EMPLOYER_ROLE]** at – **`Maybank-Malaysia`[EMPLOYER_COMPANY_NAME]** from Feb 2012 to -NL- Feb 2014 . -NL- **`Academic Profile:`[EDUCATION_HEADING]** -NL-  **`M.C.A`[EDUCATION_DEGREE]**, from **`Sri Krishnadevaraya University`[EDUCATION_INSTITUTE]** 2010. -NL- Technical Profile: -NL- Tools & Technology -NL- Eclips,MuleESB, AnyPointStudio, -NL- Language -NL- Java , J2EE, -NL- Code Review Tools -NL- Findbugs , Checkstyle, SONAR -NL- Data base -NL- Oracle ,Mysql -NL- Servers -NL- Apache Tomcat, Web Logic -NL- GIT, SVN, SONAR, Jenkins, Maven, JIRA -NL- Version Control & Build Tools -NL- Operating System -NL- Windows, Linux -NL- Project Profile : -NL- Project # 1: -NL- Title : **`Claims Legacy Replacement – Payments & Recoveries`[PROJECT_TITLE]** -NL- Project Period : Jun 2017 to Till Date -NL- Role : Mule ESB Developer -NL- Environment : ActiveMQ ,Mule ESB 3.7.3, Anypoint Studio 6.2.2, -NL- ActiveMQ 5.3 -NL- Client Description:United Services Automobile Association (USAA) is financial services -NL- company listed under a Fortune 200. The company primarily focuses on banking, -NL- investment, and insurance services to people and families of the current and retired -NL- employees of the military of the United States and other selected federal agencies. The main -NL- line of services of the company runs through insurance, investing and banking. The -NL- insurance services range over property, casualty and life insurance. The services include -NL- automobile insurance, homeowner insurance, renters insurance, and valuable personal -NL- property insurance. -NL- Description: The Claims Legacy Replacement system replaces the existing Legacy System -NL- to user friendly web based system to support business continuity and high volume output. -NL- The Service capability should support the MSR claims process like Open-Close, Payments -NL- and recoveries. -NL- Responsibilities: -NL-  Created Mule Flows using End Point Connectors & Components using -NL- Mule ESB to integrate client/server systems. -NL-  Implemented integrationflows using Mule AnyPoint Studio to connect to -NL- REST, SOAP service, Oracle Database, and ActiveMQ broker. -NL-  Developingflows / orchestrations for integrating the components written -NL- on top of different internal platforms using Mule ESB and ActiveMQ. -NL-  Building the mule code to design the integrations between the Salesforce -NL- application and SFTP. -NL-  Developing the integrations between the web services and the Salesforce -NL- application. -NL-  Experience in integrating Cloud applications like SFDC, Workday & Intact -NL- using MuleSoft ESB. -NL-  Experience in integrating of different systems that includes Data Base, -NL- Salesforce, & SAP. -NL-  Involved in Transformations using XSLT, Data Weave, and Custom Java -NL- Transformers to transform data from one format to another format using -NL- Mule ESB. -NL-  Extensively used Mule Debugger to debug the XML Flows and wrote -NL- Munit Test Cases using features like mocking, verify call, and assert -NL- conditions based different sets of data. -NL-  Created Maven Archetypes for generating fully functional REST web -NL- service supporting both XML and JSON Message transformation. -NL-  Involved in creating http inbound & outboundflows and orchestration -NL- using XPath in Mule ESB. -NL-  Deployed Mule Applications on Mule 3.7 On-Premise through MMC and -NL- managed the server deployments. -NL-  Worked with MuleSoft Anypoint API Platform on designing the RAML for -NL- implementing REST API's and used API Gateway as a proxy service. -NL-  Implemented RAMLfiles for different entity creations and respective -NL- associations. -NL-  Implemented and used Web Services with the help of WSDL and SOAP to -NL- get updates from the third parties. -NL-  Developed MuleSoft ESB projects for the services with synchronous and -NL- asynchronous muleflows. -NL-  Used ANT for building and deploying Application. -NL-  Used Maven tool to build & deploy the application on the server. -NL-  Used Jenkins for CI (Continuous Integration) and CD (Continuous -NL- Deployment). -NL-  Used log4J for logging and debugging of the application. -NL-  Business requirements analysis by interacting with the Lead/Architect. -NL-  Involved in analysis of existing Design Documents, Planning, proposing -NL- changes, Development, Testing and Maintenance phases of the -NL- application. -NL-  Involved in Agile scrum meetings, estimating and tracking User stories in -NL- Jira, Analyzing Graphs, Bugs, defects and various other features. -NL- Project # 2 -NL- Title : **`Work Management Redesign - WMR`[PROJECT_TITLE]** -NL- Project Period : Apr 2016 to May 2017 -NL- Role : Mule ESB Developer -NL- Environment : Java1.6, J2EE, Mule ESB 3.5.4, Anypoint -NL- Studio, ActiveMQ, S -NL- Project Description:This system mainly deals with three kinds of applications such as ILR -NL- (Internet Loss Report), ALR (Auto Loss Report) and PLR (Property Loss Report). ALR and PLR -NL- both can be accessed by MSR (Member Service Representative - USAA Employee). ILR can -NL- be accessed by both MSR and Member who is the insurance holder with USAA. Mainly ALR -NL- deals with auto loss report policies and PLR deals with property related policies includes -NL- Home-owners policy (HOM), Renters policy (REN), Fire Policy (FIR) Valuable personal -NL- property (VPP) and Water Craft policy or Boat Policy (PBO). -NL- Responsibilities: -NL-  Integration of Mule ESB system while utilizing MQ Series, Http, File system -NL- and SFTP transports. -NL-  Created Mule ESB flows using Mule Studio, performed payload -NL- transformation & used middleware frameworks for routing the messages -NL- to appropriate systems. -NL-  Transformations using XSLT, Data Weave, and Custom Java Transformers -NL- to transform data from one format to another format using Mule ESB. -NL-  Extensively used Mule components that includes File, SMTP, FTP, SFTP, -NL- JDBC Connector, and Transaction Manager. -NL-  Experience in integrating of different systems that includes Data Base, -NL- Salesforce, & SAP. -NL-  Migrated Mule ESB 3.5.1 apps to Mule ESB 3.7.1 and updated all the -NL- dependencies. -NL-  Migrated deprecated Data Mapper mapping to Data Weave in Mule ESB. -NL-  Developed RESTful/SOAP web services in Mule ESB based on SOA -NL- architecture. -NL-  Used Restful web services using CXF tool to develop web services easily -NL- and to be invoked by different channels. -NL-  Strong knowledge and hands on experience in documenting and -NL- designing REST API's using RAML. -NL-  Experience in MuleSoft Anypoint API platform on designing and -NL- implementing Mule APIs. -NL-  Experience in Deploying/Managing Muleflows to CloudHub. -NL-  Used Mule Management Console to monitor the request and response -NL- payload. -NL- Project # 3: -NL- Title : **`gSK Direct`[PROJECT_TITLE]** -NL- Project Period : Feb 2014 to Mar 2016 -NL- Role : Mule ESB Developer -NL- Environment : Java ,Servlets, Jsp,JSTL,Struts, oracle, Tomcat -NL- The objective for the Portal component is: To provide a web-based system for authorized -NL- Health Care Professionals allowing access to information and capabilities that support their -NL- business relationships with GSK. The Spider web site will include functionality for viewing, -NL- downloading, and printing a variety of GSK content, as well as access to related web links -NL- and resources, using industry-standard navigational functions and a secure login. Content -NL- will be displayed based on user entitlements, and will be primarily accessed through a left- -NL- hand navigation menu that is dynamic and expandable to show sub-navigation categories. -NL- Responsibilities: -NL-  Designing Restful API's by creating mule flows for System, Process and -NL- Experience API’s. -NL-  Implemented the code in Mule Anypoint Studio as per the RAML. -NL-  Used Flow Reference andflows concept as the API’s need to send data to -NL- multiple target systems -NL-  Deployed code in various environments. -NL-  Understanding the business requirement and making change in existing -NL- code. -NL-  working experience of testing the SOAP & RESTful services from Postman -NL- as well as SOAP UI. -NL-  Experience analyzing, developing, troubleshooting, debugging, and -NL- optimizing ESB application. -NL-  Implemented Exceptional handling to handle the errors in theflows. -NL-  -NL- Project # 4: -NL- Title : **`SIMCO (Maybank-Malaysia Core -NL- Banking)`[PROJECT_TITLE]** -NL- Project Period : Feb 2012 to Feb 2014 -NL- Environment : Mainframes admin,OPC,MQ -NL- Outline: SIMCO: eBBS (Core Banking System). Ensuring each individual Retail Banking -NL- product- Deposits(Current Accounts, Saving Product - Deposits(Current Accounts, Saving -NL- Accounts &amp; Time Deposits) functionalities, information and processes are efficiently -NL- /effectively implanted into the new core banking system (eBBS was introduced to replace -NL- the bank existing Core Banking System - Hogan).Responsibilities includes managing each -NL- individual product functionalities processes by making it certain that they are meeting with -NL- existing (and future) requirements. -NL- Responsibilities: -NL-  Validation framework is used for validation and tiles are used to reuse -NL- JSP’s. -NL-  Involved in Designing in Controller component using servlet. -NL-  Involved in designing in view layer component using jsp. -NL-  Involved validating inputs of controller components. -NL-  Involved in developing business logic using core java. -NL-  Implementing DAO and DTO design patterns. -NL-  Extensively used Java Collection framework and Exception handling. -NL-  Involved in Unit Testing. -NL- 